#include<stdio.h>
using namespace std;
int main() {
	int n, a[20000], i, k, t;
	scanf_s("%d%d", &n, &k);
	for (i = 0; i < n; i++) {
		scanf_s("%d", &a[i]);
	}
	for (i = 1; i < n; i++) {
		if (a[i] == k) {
			t = a[(i + 1) % n];
			break;
		}
	}
	printf("%d", t);
}